extern crate reqwest;

use reqwest::Error;
use std::time::Duration;
use reqwest::ClientBuilder;


fn main() -> Result<(), Error> {
    let request_url = "https://www.ea.com";
    println!("{}", request_url);

    let timeout = Duration::new(5, 0);
    let client = ClientBuilder::new().timeout(timeout).build()?;
    let response = client.head(request_url).send()?;

    if response.status().is_success() {
        println!("ea found");
    } else {
        println!("ea not found");
    }

    Ok(())
}
